<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_dd0d63494d8d5afb29437e" . "e411ac34d0" => base64_decode("QW5ub3VuY2VtZ" . "W50"), "_d1d66e928f80" . "b4eae4a89463b" . "6d889ec" => base64_decode("dHJpbV9sb25nX" . "3N0cmluZw=="), "_c73ac93b81fdf08d4c425cd887c8ae" . "49" => base64_decode("VHJhc2hPYmplY3ROZXdzOjpDcmVhdGVGcm9tT2JqZWN" . "0KCkgYWNjZXB0cyBvbmx5IG9iamVjdCBvZiBjbGFzcy" . "BOZXdzSXRlbUJhc2U="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw=" . "="), "_a591754a8dd" . "cdbda9c80f1d" . "b4d911e14" => base64_decode("aXNf" . "bnVs" . "bA=="), "_9b1c9897fe9407921b8d9096cb56" . "6c04" => base64_decode("bmV3cy5hZG1pbi50cmFzaC5uZXdzX" . "2l0ZW0="));
use NewsBrowser;
use NewsItem;
use NewsItemBase;





class TrashObjectNews extends TrashObject
{
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = null)
    {
        $this->aggregation = AGGREGATION_NEWS;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a591754a8ddcdbda9c80f1db4d911e1" . "4"]($_b15aac3aa29c10ea6d1228f58cb9a7e8) && $_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            $this->CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
    }
    
    
    
    
    
    
    
    
    public function CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c73ac93b81fdf08d4c425cd8" . "87c8ae49"]);
        }
        $this->obj_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        $this->description = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d1d66e928f80" . "b4eae4a89463b" . "6d889ec"](\ClaText::BBCode2Plain($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetText()), 300);
        $this->title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d1d66e9" . "28f80b4e" . "ae4a8946" . "3b6d889e" . "c"]($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetTitle(), 50);
        $this->orig_location = $_b15aac3aa29c10ea6d1228f58cb9a7e8->is_headline ? $_b15aac3aa29c10ea6d1228f58cb9a7e8->channel_name : $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dd0d63494d8d5afb29437" . "ee411ac34d0"];
    }
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if ($_108bde9814d9d2f78a4fdae9b4d6e3ce->DeleteNewsById($this->obj_id, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    public function Restore()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if (!$_108bde9814d9d2f78a4fdae9b4d6e3ce->UndeleteNewsById($this->obj_id)) {
            throw new \Exception($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_9b1c989" . "7fe94079" . "21b8d909" . "6cb566c0" . "4"]);
        
        
    }
}